Page 28 of 31

Re: [WIP] Hunter's Moon V2.9 (Ultimate Firemodes Edition!)

PostPosted: Sat May 27, 2017 9:09 pm
by SoundOfDarkness
Just out of curiosity: What's the difference between the GZDoom and Zandronum version?

Re: [WIP] Hunter's Moon V2.9 (Ultimate Firemodes Edition!)

PostPosted: Sat May 27, 2017 9:48 pm
by Zanieon
Lots of things starting from DECORATE support, non-existance of ZScript and other lumps being underdeveloped yet.

I can't move the project entirely to ZScript because there's no ZScript in Zandronum yet, i can't extended too much the DECORATE capabilities to the last features because there's no such thing in Zandronum yet and i also can't benefict from certain OpenGL things GZDoom has in GLDEFS for now because Zandronum does not have the 8-character limit removal.

In a Nutshell: Due to Zandronum still having to catch-up the entire features GZDoom has, i have to keep the code "in a between" of the two, i use certain things that GZDoom have but also not hard to adapt to Zandronum later such as few unsupported actors flags.

But don't worry about, i'm already finished adapting the version to Zandronum, uploading atm.

Re: [WIP] Hunter's Moon V2.9.1 (Ultimate Firemodes Edition!)

PostPosted: Sat Jun 17, 2017 7:29 am
by Sinael
Alright, is there any way to play the map pack with its changes (monsters, their behaviour and map-crucial items intact) amon with a different gameplay mod like Guncaster or Russian Overkill?

Loading map pack alone results in vanilla monsters and missing stuff, loading any mod with base mod overwrites characters and gives errors.

It would've been great if there was a "neutered" version of the mod as in maps, monsters and other crucial stuff described above that would allow it to be loaded with the other gameplay mods that do not alter monsters.

Re: [WIP] Hunter's Moon V2.9.1 (Ultimate Firemodes Edition!)

PostPosted: Sat Jun 17, 2017 2:39 pm
by Zanieon
Recently i have been thinking in split the monsters from the core mod as well, that will take a time to make as for more organized i tried to leave the code, there's alot of things that i have to deinterlace to make everything working on its own.

About the maps i can't do the same unfortunately, they were made with the core mod in mind, with that mechanics to be used, you are not the first asking me this, but for more that you wanted to see how this will looks like, i can say it would be the same of using drivers that does not match the hardware, nothing will work the way intended because this was not made with vanilla doom as gameplay as most maps do, that's the point of a Total Conversion.

If you want to play maps like that ones that all i can say is to you just wait because those are meant for this mod, but in the future i can makes another maps with this same visual and architeture but for vanilla doom so everyone can play them the way they want it.

Re: [WIP] Hunter's Moon V2.9.2 (Doomslayer Berserkin')

PostPosted: Fri Oct 06, 2017 2:56 pm
by Zanieon
OBOIS, Version 2.9.2 has arrive AND alongside it, the Dungeons update, hopefully all issues has been adressed (at least Dark Matter Gun doesn't instakills Veltanir anymore).

Re: [WIP] Hunter's Moon V2.9.2 (Important Announcement P28)

PostPosted: Mon Oct 09, 2017 11:15 am
by Zanieon
Well fellow players, after a while pondering about this, this is mostly sad news but i will be scrapping Baerhon's Lair Part 1 and 2 from the Map Pack, full details in the log i posted in ModDB: http://www.moddb.com/mods/hunters-moon/ ... tober-2017

Re: [WIP] Hunter's Moon V2.9.2 (Important Announcement P28)

PostPosted: Mon Oct 09, 2017 4:07 pm
by DoomKrakken
The Lair Maps are still going to be downloadable, correct?

Re: [WIP] Hunter's Moon V2.9.2 (Important Announcement P28)

PostPosted: Mon Oct 09, 2017 8:50 pm
by Zanieon
They will remain in the map pack until i make newer maps to replace them, probably they will remain around for the rest of this year, but you will not find them inside the map pack anymore when such update arrives.

I can make the favor of release them separately like Akzos City tho, since they will not be bound to Hunter's Moon anymore.

Re: [WIP] Hunter's Moon V2.9.2 (Important Announcement P28)

PostPosted: Tue Oct 10, 2017 1:08 am
by DoomKrakken
Akzos City?

(looks it up)

HOW DID I NEVER SEE THIS?!

Ok, anyway, would you be able to make the Lair maps "vanilla" compatible (as in, playable with standard weapons/monsters/items), since they won't be bound to Hunter's Moon?

Re: [WIP] Hunter's Moon V2.9.3 (Age of Abilities)

PostPosted: Fri Dec 01, 2017 3:37 pm
by Zanieon
Okay waiting for the upload in MediaFire was like:
Image



But here we go, Version 2.9.3 has arrived! Now six additional characters have abilities, changelog and download in first post, enjoy!


Re: [WIP] Hunter's Moon V2.9.3 (Age of Abilities)

PostPosted: Sat Dec 02, 2017 6:49 pm
by Naniyue
Beautiful and efficient polygon work! It even runs pretty well on my rinky dinky machine!

Re: [WIP] Hunter's Moon V2.9.3 (Age of Abilities)

PostPosted: Sun Dec 03, 2017 7:01 am
by q3cpma
Hello, I'm getting black squares with blood on them instead of gore (https://a.pomf.space/uvoxpbleprkp.webm). I've tried fiddling with the clipping options, to no avail. Any idea?
This is with gzdoom 3.2.1 and HM 2.9.3.

Re: [WIP] Hunter's Moon V2.9.3 (Age of Abilities)

PostPosted: Sun Dec 03, 2017 2:13 pm
by Zanieon
Seems a problem of outdated drivers.

How old is your GPU? I remember that there was a version of GZDoom that had this problem on the engine side, however Graf managed to fix and now whenever it happens it is because the GPU is kinda old.

Re: [WIP] Hunter's Moon V2.9.3 (Age of Abilities)

PostPosted: Mon Dec 04, 2017 4:57 am
by q3cpma
That shouldn't be the problem, I'm using a RX580 with mesa-17.2.6 on GNU/Linux. I remember it working when I was using a 7970, some time ago.
I should also add that all the other GL using programs and zdoom mods work perfectly.

Re: [WIP] Hunter's Moon V2.9.3 (Age of Abilities)

PostPosted: Mon Dec 04, 2017 6:09 am
by phantombeta
This could be an issue with OpenGL 2.1 support in GZDoom...
Now, why would that matter for a GPU that supports GL4.5? Simply because Mesa is absolutely autistic and sets the default OpenGL profile to 3.0 instead of 4.0 or the highest the card supports. Since GZDoom's minimum requirement for the modern GL3+ renderer is OpenGL 3.3, it gets kicked to the legacy OpenGL 2.1 renderer.
This WAS supposed to be fixed/handled in GZDoom's side, but maybe the fix doesn't work for all GPUs or all versions of Mesa. Try forcing Mesa to use the OpenGL4.5 profile and see if that works.
Maybe this will help

Shouldn't be one of those occasional AMD driver bugs, since you're using Mesa (hence why I think it might be what I said above). But maybe it could still be that somehow, who knows.
Or maybe Mesa's support for your GPU is broken, somehow.
So yeah, this is most likely a driver bug of some sort.